package rabbitmqrpc

import (
	"testing"
)

func Test_SendDelay(t *testing.T) {

	exchange := "ex_order_delay"
	key := "order_expire"

	msg := map[string]interface{}{
		"site_id": "100002",
		"dbname":  "testing",
		"data": map[string]string{
			"order_id": "111",
			"order_sn": "cccc",
		},
	}

	ret, err := SendDelay(exchange, key, msg, 20)

	t.Log(ret)
	t.Log(err)
}
